Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.event.listeners
Class TriggerRulesEventListener

    java.lang.Object
      org.jbpm.process.instance.event.listeners.TriggerRulesEventListener

All Implemented Interfaces:
  EventListener, AgendaEventListener

    public class TriggerRulesEventListener

extends Object
implements AgendaEventListener

Dedicated AgendaEventListener that will fireAllRules as soon as:

- match is created
- after rule flow group is activated

This listener should be used to automatically fire rules as soon as they get activated. Especially useful for executing business rule tasks as part of the process.

Constructor Summary
`TriggerRulesEventListener(KieSession ksession)`

Method Summary
`void` | `afterMatchFired(AfterMatchFiredEvent event)`
`void` | `afterRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)`
`void` | `afterRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)`
`void` | `agendaGroupPopped(AgendaGroupPoppedEvent event)`
`void` | `agendaGroupPushed(AgendaGroupPushedEvent event)`
`void` | `beforeMatchFired(BeforeMatchFiredEvent event)`
`void` | `beforeRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)`
`void` | `beforeRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)`
`void` | `matchCancelled(MatchCancelledEvent event)`
`void` | `matchCreated(MatchCreatedEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TriggerRulesEventListener

    public TriggerRulesEventListener(KieSession ksession)

Method Detail

### matchCreated

    public void matchCreated(MatchCreatedEvent event)

  Specified by:
    `matchCreated` in interface `AgendaEventListener`

### matchCancelled

    public void matchCancelled(MatchCancelledEvent event)

  Specified by:
    `matchCancelled` in interface `AgendaEventListener`

### beforeMatchFired

    public void beforeMatchFired(BeforeMatchFiredEvent event)

  Specified by:
    `beforeMatchFired` in interface `AgendaEventListener`

### afterMatchFired

    public void afterMatchFired(AfterMatchFiredEvent event)

  Specified by:
    `afterMatchFired` in interface `AgendaEventListener`

### agendaGroupPopped

    public void agendaGroupPopped(AgendaGroupPoppedEvent event)

  Specified by:
    `agendaGroupPopped` in interface `AgendaEventListener`

### agendaGroupPushed

    public void agendaGroupPushed(AgendaGroupPushedEvent event)

  Specified by:
    `agendaGroupPushed` in interface `AgendaEventListener`

### beforeRuleFlowGroupActivated

    public void beforeRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)

  Specified by:
    `beforeRuleFlowGroupActivated` in interface `AgendaEventListener`

### afterRuleFlowGroupActivated

    public void afterRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)

  Specified by:
    `afterRuleFlowGroupActivated` in interface `AgendaEventListener`

### beforeRuleFlowGroupDeactivated

    public void beforeRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)

  Specified by:
    `beforeRuleFlowGroupDeactivated` in interface `AgendaEventListener`

### afterRuleFlowGroupDeactivated

    public void afterRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)

  Specified by:
    `afterRuleFlowGroupDeactivated` in interface `AgendaEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.